﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EntityClassLibrary
{
    public class ReportData
    {
        public string SubcategoryName { get; set; }
        public string ProductName { get; set; }
        public decimal ListPrice { get; set; }
    }


    partial class AdventureWorksEntities
    {
        public System.Collections.Generic.List<ReportData> GetProducts(string subcategory)
        {
            var result = from productSubcategory in ProductSubcategories
                         where productSubcategory.Name.StartsWith(subcategory)
                         from product in Products
                         select new ReportData
                         {
                             SubcategoryName = productSubcategory.Name,
                             ProductName = product.Name,
                             ListPrice = product.ListPrice
                         };

            return result.ToList();
        }
    }
}
